Summary: Frequency and Idle power monitoring tools for Linux
Name: turbostat
Version: 3.4
Release: r7.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/kernel
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = 7779efe5d07e70e2b7a0d6fb7237d61e21494fd9

%description
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.

%package -n turbostat-dbg
Summary: Frequency and Idle power monitoring tools for Linux - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: turbostat = 3.4-r7.0

%description -n turbostat-dbg
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n turbostat-staticdev
Summary: Frequency and Idle power monitoring tools for Linux - Development files (Static Libraries)
Group: devel
Requires: turbostat-dev = 3.4-r7.0

%description -n turbostat-staticdev
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.  This
package contains static libraries for software development.

%package -n turbostat-dev
Summary: Frequency and Idle power monitoring tools for Linux - Development files
Group: devel
Requires: turbostat = 3.4-r7.0
Suggests: libc6-dev

%description -n turbostat-dev
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n turbostat-doc
Summary: Frequency and Idle power monitoring tools for Linux - Documentation files
Group: doc

%description -n turbostat-doc
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.  This
package contains documentation.

%package -n turbostat-locale
Summary: Frequency and Idle power monitoring tools for Linux
Group: base

%description -n turbostat-locale
The turbostat tool allows you to determine the actual processor frequency
and idle power saving state residency on supported processors.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/turbostat"

%files -n turbostat-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/turbostat"

%files -n turbostat-dev
%defattr(-,-,-,-)

%files -n turbostat-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/turbostat.8"

